# Ogre::LinearResampler_Byte< channels > Struct Template Reference

`#include <OgreImageResampler.h>`

List of all members.

## Static Public Member Functions

void | scale (const PixelBox &src, const PixelBox &dst)

### template<unsigned int channels>
struct Ogre::LinearResampler_Byte< channels >

## Member Function Documentation

template<unsigned int channels>
void Ogre::LinearResampler_Byte< channels >::scale | ( | const PixelBox & | src,
|  | const PixelBox & | dst
| ) | `[static]`

| Definition at line 284 of file OgreImageResampler.h. References Ogre::Box::bottom, Ogre::PixelBox::data, Ogre::Box::getDepth(), Ogre::Box::getHeight(), Ogre::PixelBox::getRowSkip(), Ogre::Box::getWidth(), Ogre::Box::left, Ogre::Box::right, Ogre::PixelBox::rowPitch, Ogre::Box::top, Ogre::uchar, and Ogre::uint64.

The documentation for this struct was generated from the following file:

- OgreImageResampler.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:41:30 2005